about summary refs log tree commit diff stats
path: root/home-manager/soispha/config/lf/commands/scripts/go_project_root
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-08-25 23:18:46 +0200
committerSoispha <soispha@vhack.eu>2023-08-25 23:59:59 +0200
commitd5b86467f1682900dceea26e1e2128669b501727 (patch)
tree73046fbb50db30be7f510ae21855d9c47e71bfdc /home-manager/soispha/config/lf/commands/scripts/go_project_root
parentStyle(hm/conf/neovim): Format (diff)
downloadnixos-config-d5b86467f1682900dceea26e1e2128669b501727.zip
Fix(hm/conf/lf/commands): Actually send cd command to lf instance
Diffstat (limited to 'home-manager/soispha/config/lf/commands/scripts/go_project_root')
-rwxr-xr-xhome-manager/soispha/config/lf/commands/scripts/go_project_root2
1 files changed, 1 insertions, 1 deletions
diff --git a/home-manager/soispha/config/lf/commands/scripts/go_project_root b/home-manager/soispha/config/lf/commands/scripts/go_project_root
index ce4081f3..555caaf9 100755
--- a/home-manager/soispha/config/lf/commands/scripts/go_project_root
+++ b/home-manager/soispha/config/lf/commands/scripts/go_project_root
@@ -5,7 +5,7 @@ SHELL_LIBRARY_VERSION="1.1.4" . %SHELL_LIBRARY_PATH
 
 flake_base_dir="$(search_flake_base_dir)";
 if [ "$flake_base_dir" ]; then
-    cd "$flake_base_dir" || die "Bug: No base dir ($flake_base_dir)"
+    lf -remote "send $id cd $flake_base_dir" || die "Bug: No base dir ($flake_base_dir)"
 else
     die "Unable to locate base dir";
 fi